[func_test]
# sample config
auth_host = 10.14.0.26
auth_port = 35357
auth_ssl = no
auth_prefix = /v2.0/
## sample config for Swift with Keystone
auth_version = 2
#auth_host = localhost
#auth_port = 5000
#auth_ssl = no
#auth_prefix = /v2.0/

# Primary functional test account (needs admin access to the account)
account = swifttenanttest1
username = swiftusertest1
password = testing

# User on a second account (needs admin access to the account)
account2 = swifttenanttest2
username2 = swiftusertest2
password2 = testing2

# User on same account as first, but without admin access
username3 = swiftusertest3
password3 = testing3

# If not defined here, the test runner will try to use the default constraint
# values as constructed by the constraints module, which will attempt to get
# them from /etc/swift/swift.conf, if possible. Then, if the swift.conf file
# isn't found, the test runner will skip tests that depend on those values.
# Note that the cluster must have "sane" values for the test suite to pass.
#max_file_size = 5368709122
#max_meta_name_length = 128
#max_meta_value_length = 256
#max_meta_count = 90
#max_meta_overall_size = 4096
#max_header_size = 8192
#max_object_name_length = 1024
#container_listing_limit = 10000
#account_listing_limit = 10000
#max_account_name_length = 256
#max_container_name_length = 256

collate = C

[unit_test]
fake_syslog = False

[probe_test]
# check_server_timeout = 30
# validate_rsync = false
